<?php
if (TURN_BLOCK_ON !== true)
{
    die ("<center><h3>حدث خطأ أثناء محاولة إستدعاء البلوك القارئ</h3></center>");
}

// <!--INC dir="block" file="rss_reader.php" -->

//ضع هنا عنوان ملف rss المطلوب
$feedurl = "http://www.arabiaone.org/index.php?action=rss";

// ضع رقم 1 اذا كنت تريده على شكل شريط متحرك
$hor = 0;

//--------------------------لا تعدل اي شي اسفل هذا الخط----------------------
if($hor == 1)$breack = ' &nbsp;';
else $breack = '<br>';

global $apt;

include_once("modules/RSS/ConvertCharset.class.php");
$FromCharset = 'utf-8'; 
$ToCharset = 'windows-1256'; 
$convert  = new ConvertCharset();

$feed = $apt->get_contents($feedurl);
	if(!$feed){
	$text = "<img src=modules/RSS/images/zoom-headline.gif>&nbsp;&nbsp; لم يتم الاتصال بالموقع او لا يوجد اخبار جديده <br>\n";
	}else{
	$feeds = @explode("\n",$feed);

					foreach($feeds as $line)
					{
						if (strpos($line, '<title>') !== false)
						{
							$tmp_title = str_replace(array('<title>','</title>'), '', trim($line));
							$title = addslashes($tmp_title);
						}
						if (strpos($line, '<description>') !== false)
						{
							$tmp_description = str_replace(array('<description>','</description>'), '', trim($line));
							$description = addslashes($tmp_description);
						}
						if (strpos($line, '<url>') !== false || strpos($line, '<link>') !== false)
						{
							$url = str_replace(array('<url>', '</url>', '<link>', '</link>'), '', trim($line));
					$text .= "<img src=modules/RSS/images/zoom-headline.gif>&nbsp;&nbsp;	<a href=$url target=_blank>$title</a>$breack\n";
						}
					}
	}

$text = $convert->Convert($text, $FromCharset, $ToCharset);
if($hor == 0){
echo $text;
}else{
$shareet = "<marquee BEHAVIOR='scroll' direction='right' scrollAmount='3' onmouseover='this.scrollAmount=1' onmouseout='this.scrollAmount=3' width='100%' border='0'>";
$shareet .= $text."</marquee>";
echo $shareet;
}

?>